Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617444 - beaker selected a wrong system when specifying memory < 4G
beaker selected a wrong system when specifying memory < 4G
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks: 629211
  Show dependency treegraph
 
Reported: 2010-07-22 23:44 EDT by Han Pingtian
Modified: 2011-09-28 11:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 02:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han Pingtian 2010-07-22 23:44:36 EDT
Description of problem:
I have two recipes, which specify to select systems with memory < 4G. But Beaker selected two system which both has 4G memory:

https://beaker.engineering.redhat.com/recipes/14897
https://beaker.engineering.redhat.com/recipes/14899

I would like Beaker can select system which has memory really less than 4G.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Han Pingtian 2010-07-22 23:57:50 EDT
It likes like in rhts, it always can select the correct system:

https://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=167727

So, maybe this is a regression of beaker.
Comment 2 Raymond Mancy 2010-07-28 01:57:22 EDT
From what I can see the only place we show the memory is in the Key/Value.
I think there could be some a discrepancies between it and the memory value in the system table.

I did some testing on stage and found this to be the case.

I'm waiting to get a sysadmin to query the DB for me, and for the machines to be free so I can check discrepancies myself.

In the meantime I'll add a field into the details which shows the memory as it is in the system table

Note You need to log in before you can comment on or make changes to this bug.